ghc-lib-parser-ex-9.12.0.0: Programming with GHC parse trees

Safe Haskell | None
Language | Haskell2010

Language.Haskell.GhclibParserEx.GHC.Driver.Session

Synopsis

- readExtension :: String -> Maybe Extension
- extensionImplications :: [(Extension, ([Extension], [Extension]))]
- parsePragmasIntoDynFlags :: DynFlags -> ([Extension], [Extension]) -> FilePath -> String -> IO (Either String DynFlags)

# Documentation

readExtension :: String -> Maybe Extension Source #

Parse a GHC extension.

extensionImplications :: [(Extension, ([Extension], [Extension]))] Source #

Implicitly enabled/disabled extensions.

parsePragmasIntoDynFlags :: DynFlags -> ([Extension], [Extension]) -> FilePath -> String -> IO (Either String DynFlags) Source #